All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::HNSW::DistanceComputer Struct Referenceabstract

`#include <HNSW.h>`

## Public Member Functions

virtual void | set_query (const float *x)=0
| called before computing distances
virtual float | operator() (storage_idx_t i)=0
| compute distance of vector i to current query
virtual float | symmetric_dis (storage_idx_t i, storage_idx_t j)=0
| compute distance between two stored vectors

## Public Attributes

idx_t | d

## Detailed Description

The HNSW structure does not store vectors, it only accesses them through this class.

Functions are guaranteed to be be accessed only from 1 thread.

Definition at line 60 of file HNSW.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/HNSW.h